#ifndef MYWINDOW_H
#define MYWINDOW_H

#include <QDesktopWidget>
#include <QtCore/QRect>
#include <QtWidgets/QApplication>
#include <QtWidgets/QMainWindow>
#include <QtWidgets/QMenu>
#include <QtWidgets/QMenuBar>
#include <QtWidgets/QAction>

#include <raytrace.h>

class MyWindow : public QMainWindow
{

    Q_OBJECT

public:
    MyWindow(QWidget *parent=0);

    void setTitleFromDatabase(const char *path);    

private:
    QMenu *brlcadMenu;
    QAction *brlcadTitleAction;

    void createMenu();
    void createAction();                       

private slots:
    void setTitleAction();
};

#endif // MYWINDOW_H
